marked-pointer.hpp File Reference
`#include <cstddef>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Functions

bool | Gecode::Support::marked (void *p)
| Check whether p is marked.
void * | Gecode::Support::mark (void *p)
| Return marked pointer for unmarked pointer p.
void * | Gecode::Support::unmark (void *p)
| Return unmarked pointer for a marked pointer p.
void * | Gecode::Support::fmark (void *p)
| Return marked pointer for p (possibly already marked).
void * | Gecode::Support::funmark (void *p)
| Return unmarked pointer for a possibly marked pointer p.
void * | Gecode::Support::ptrsplit (void *p, ptrdiff_t &m)
| Split possibly marked pointer p into mark m and unmarked pointer.
void * | Gecode::Support::ptrjoin (void *p, ptrdiff_t m)
| Join unmarked pointer p and m into marked pointer.